import request from '@/utils/request'

// 获取绩效列表
export function getItemPerformanceList(params) {
  return request({
    url: '/item/performance/list',
    method: 'get',
    params
  })
}

// 获取绩效柱状图数据
export function getItemPerformanceHistogram(params) {
  return request({
    url: '/item/performance/histogram',
    method: 'get',
    params
  })
}

// 获取绩效箱线图数据
export function getItemPerformanceBoxplot(params) {
  return request({
    url: '/item/performance/boxplot',
    method: 'get',
    params
  })
}

// 获取绩效指标数据
export function getItemPerformanceMetrics(data) {
  return request({
    url: '/item/performance/metrics',
    method: 'post',
    data
  })
}